Package Details: gnomecast-git r101.e0ec89c-1

Git Clone URL: https://aur.archlinux.org/gnomecast-git.git (read-only)
Package Base: gnomecast-git
Description: A native Linux GUI for Chromecasting local files.
Upstream URL: https://github.com/keredson/gnomecast
Licenses: GPL-3.0
Provides: gnomecast
Submitter: mischka
Maintainer: boredland
Last Packager: boredland
Votes: 5
Popularity: 0.056412
First Submitted: 2018-02-16 03:23
Last Updated: 2018-04-24 19:16

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

sevkard commented on 2018-03-29 01:18

Ok, a couple of workarounds for the errors until the pkgbuild gets fixed: python-dbus and python-gobject should be added as makedepends or installed beforehand.

 sudo pacman -Syu python-dbus python-gobject 
Also you need to install/upgrade pip to 9.0.3 to get past another error:¹
 sudo pacman -Syu python-pip 
 sudo pip install --upgrade pip 
¹python-pip version 9.0.1 is on the repos at the time of this comment

boredland commented on 2018-03-11 20:32

Well. Thats the problem with "no-deps" like I said. I really don't understand what this limitation by the guidelines is good for and now removed "no-deps".

fatmike commented on 2018-03-11 16:10

Next dependency error:

pkg_resources.DistributionNotFound: The 'future' distribution was not found and is required by pycaption

boredland commented on 2018-03-11 10:14

I guess that is related to the "no-deps" flag for pip. The wiki recommends it like I did: <https://wiki.archlinux.org/index.php/Python_package_guidelines#Installation_methods> Perhaps a better way would be to install the enum34 package explicitly. There is only a official "python2-enum34" package, but also "python-enum-compat" in aur. Didn't try though.

fatmike commented on 2018-03-11 09:11

Thank you.

Unfortunately, i now get the next error:

pkg_resources.DistributionNotFound: The 'enum34' distribution was not found and is required by pycaption

I don't know which packet to install for this.

Besides that, you don't even need to copy the gnomecast_48.png icon. The svgs are already installed by the setup.py script.

boredland commented on 2018-03-10 20:51

Hi! I added both of the dependencies (guess I automatically had pip, pychromecast was already installed due to another packages dependency) and removed the icon-stuff. Please check if this works for you.

fatmike commented on 2018-03-10 20:04

Thank you for adapting this package.

A few comments:

  • Please add python-pip to makedepends.
  • You can omit the whole icon copy stuff and the manual creation of the .desktop file as python setup.py install will install the correct icons and also a .desktop file. Simply delete the code from line 26 on.
  • Unfortunately there is still a python package missing. When i start the application, i receive the following error: pkg_resources.DistributionNotFound: The 'pychromecast' distribution was not found and is required by gnomecast

fatmike commented on 2018-02-24 12:24

Ok, i will try to have a look although i'm also not experienced in python packaging. Anyone else?

mischka commented on 2018-02-23 15:09

Sorry, it requires another dependency in the AUR and I'm not interested in maintaining a package for a python library. I'm going to disown this, feel free to take it over.

fatmike commented on 2018-02-23 08:39

Please update this package to make it work. You already have posted the needed changes.